# TODO why Pu was missing ????

const oxistates_data = Dict(
    1 => [-1, 1],
    2 => [], # He / 0 removed / no compounds known
    3 => [1],
    4 => [2],
    5 => [3],
    6 => [2, 4], # C / -4 removed / not listed in https://www.britannica.com/science/carbon-chemical-element
    7 => [-3, 3, 5], # N / -2, -1, 1, 2, 4 removed / not listed in https://www.britannica.com/science/nitrogen
    8 => [-2],
    9 => [-1],
    10 => [], # Ne / 0 removed / no compounds known
    11 => [1],
    12 => [2],
    13 => [3],
    14 => [-4, 2, 4],
    15 => [-3, 3, 5],
    16 => [-2, 2, 4, 6],
    17 => [-1, 1, 3, 5, 7],
    18 => [], # Ar / 0 removed / exotic, even though Ar(0) has been observed https://en.wikipedia.org/wiki/Oxidation_state
    19 => [1],
    20 => [2],
    21 => [3],
    22 => [2, 3, 4],
    23 => [2, 3, 4, 5],
    24 => [2, 3, 6],
    25 => [2, 3, 4, 6, 7],
    26 => [2, 3],
    27 => [2, 3],
    28 => [2], # Ni / 3 removed - https://en.wikipedia.org/wiki/Oxidation_state
    29 => [1, 2],
    30 => [2],
    31 => [3],
    32 => [2, 4],
    33 => [-3, 3, 5],
    34 => [-2, 4, 6],
    35 => [-1, 1, 3, 5, 7],
    36 => [2], # Kr / 0 removed and +2 added / Kr(0) is exotic, and Kr(+2) occures in several compounds
    37 => [1],
    38 => [2],
    39 => [3],
    40 => [4],
    41 => [5], # Nb / 3 removed - https://en.wikipedia.org/wiki/Oxidation_state
    42 => [4, 6], # Mo / 2,3,5 removed - https://en.wikipedia.org/wiki/Oxidation_state
    43 => [4, 5, 7], # Tc / 6 removed and +5 added / https://en.wikipedia.org/wiki/Technetium#cite_note-LANL-29
    44 => [2, 3, 4, 6, 8],
    45 => [1, 3], # Rh / 2, 4, 5 removed / https://www.britannica.com/science/rhodium "Rh chemistry centres chiefly on the +1 and +3 oxistates"
    46 => [2, 4],
    47 => [1, 2],
    48 => [2],
    49 => [3],
    50 => [2, 4],
    51 => [-3, 3, 5],
    52 => [-2, 4, 6],
    53 => [-1, 1, 5, 7],
    54 => [2, 4, 6], # Xe / 0 removed and 2, 4, 6 added / https://www.britannica.com/science/xenon "XeF2, XeF4, and XeF6 ... are stable"
    55 => [1],
    56 => [2],
    57 => [3],
    58 => [3, 4],
    59 => [3, 4],
    60 => [3],
    61 => [3],
    62 => [2, 3],
    63 => [2, 3],
    64 => [3],
    65 => [3, 4],
    66 => [3],
    67 => [3],
    68 => [3],
    69 => [2, 3],
    70 => [2, 3],
    71 => [3],
    72 => [4],
    73 => [5],
    74 => [2, 3, 4, 5, 6], # W / 0 removed / https://www.britannica.com/science/tungsten-chemical-element
    75 => [3, 4, 5, 7], # Re / -1, +2 removed, +7 added / https://www.britannica.com/science/rhenium "most common states are +3, +4, +5, and especially +7"
    76 => [2, 3, 4, 6, 8], # / Os / -2, 0 removed / https://www.britannica.com/science/osmium
    77 => [1, 3, 4], # Ir / -1, 0, 2, 6 removed / https://www.britannica.com/science/iridium
    78 => [2, 4], # Pt / 0 removed / https://www.britannica.com/science/platinum
    79 => [3], # Au / 1 removed / https://www.britannica.com/science/gold-chemical-element/Properties-occurrences-and-uses "state +1 is generally quite unstable"
    80 => [1, 2],
    81 => [1, 3],
    82 => [2, 4],
    83 => [3], # Bi / 5 removed / https://www.britannica.com/science/bismuth/Properties-and-reactions " +5 state ... rare and unstable."
    84 => [2, 4, 6],
    85 => [-1, 1, 3, 5, 7],
    86 => [2], # Rn / 2 added / https://en.wikipedia.org/wiki/Oxidation_state#cite_note-133
    87 => [1], # Fr / 2 removed and 1 added / +2 was obviously in error
    88 => [2],
    89 => [3],
    90 => [4],
    91 => [4, 5],
    92 => [4, 6], # U / 3, 5 removed / https://www.britannica.com/science/uranium "important oxidation states are +4 ... and +6; ...exhibits a +3 and a +5 state, but the respective ions are unstable"
    93 => [4, 5, 6, 7], # Np / 3 removed, 7 added / https://www.britannica.com/science/neptunium
    94 => [3, 4, 5, 6],
    95 => [3], # Am / https://www.britannica.com/science/americium cites only +3 as "common", see also https://en.wikipedia.org/wiki/Oxidation_state
    96 => [3, 4],
    97 => [3, 4],
    98 => [3, 4], # Cf / 4 removed / https://www.britannica.com/science/californium
    99 => [3],
    100 => [3],
    101 => [3],
    102 => [2, 3],
    103 => [3],
    104 => missing,
    105 => missing,
    106 => missing,
    107 => missing,
    108 => missing,
    109 => missing,
    110 => missing,
    111 => missing,
    112 => missing,
    113 => missing,
    114 => missing,
    115 => missing,
    116 => missing,
    117 => missing,
    118 => missing,
)
